Plesk and its command-line utilities do not work due to missing Plesk packages

Follow

Comments

6 comments

  • Avatar
    Leslie Bray

    None of these commands work. 

    plesk-installer     100%[===================>]   9.24K  --.-KB/s    in 0s      

     

    2019-04-28 18:06:15 (222 MB/s) - 'plesk-installer' saved [9465/9465]

     

    bash-4.3$ # chmod +x plesk-installer./plesk-installer

    bash-4.3$ 1. [*] Plesk

    bash: 1.: command not found

    bash-4.3$ 2. [=] BIND DNS server plesk       

    bash: 2.: command not found

    bash-4.3$ * Plesk

    bash-4.3$ (*) Plesk      

    bash: syntax error near unexpected token `Plesk'

    bash-4.3$ 1. (*) Plesk

    bash: syntax error near unexpected token `*'

    bash-4.3$ .plesk-installer

    bash: .plesk-installer: command not found

    bash-4.3$ wget http://autoinstall.plesk.com/plesk-installer

    --2019-04-28 18:13:10--  http://autoinstall.plesk.com/plesk-installer

    Resolving autoinstall.plesk.com (autoinstall.plesk.com)... (//////////)

    Connecting to autoinstall.plesk.com (autoinstall.plesk.com)(----------)... connected.

    HTTP request sent, awaiting response... 200 OK

    Length: 9465 (9.2K) [application/octet-stream]

    Saving to: 'plesk-installer.1'

    plesk-installer.1   100%[===================>]   9.24K  --.-KB/s    in 0s      

     

    2019-04-28 18:13:12 (242 MB/s) - 'plesk-installer.1' saved [9465/9465]

     

    bash-4.3$ chmod +x plesk-installer

    bash-4.3$ (*) Plesk

    bash: syntax error near unexpected token `Plesk'

    bash-4.3$ plesk

    bash: plesk: command not found

    bash-4.3$ * Plesk

    bash-4.3$ = bind dns server

    bash: =: command not found

    bash-4.3$ unlink /usr/local/psa

    bash: unlink: command not found

    bash-4.3$ rm -rf/usr/local/psa

    rm: invalid option -- '/'

    0
    Comment actions Permalink
  • Avatar
    Data Network

    Hello, I remove postfix with apt-get purge postfix command,, I did realize that some plesk packages were deleted, my foul,,
    with command
    grep remove /var/log/dpkg.log | grep 'psa\|plesk'
    I have:
    2019-05-07 11:41:33 remove plesk-config-troubleshooter:amd64 17.8.11-debian9.0.build1708190219.21 <none>
    2019-05-07 11:41:34 remove plesk-l10n:all 17.8.11-debian9.0.build1708181025.13 <none>
    2019-05-07 11:41:36 remove psa-drweb-configurator:amd64 17.8.11-debian9.0.build1708180301.19 <none>
    2019-05-07 11:41:36 remove psa-spamassassin:amd64 17.8.11-debian9.0.build1708180301.19 <none>
    2019-05-07 11:41:39 remove plesk-mail-pc-driver:amd64 17.8.11-debian9.0.build1708180927.11 <none>
    2019-05-07 11:41:43 remove plesk-management-node:amd64 17.8.11-debian9.0.build1708180301.19 <none>
    2019-05-07 11:41:43 remove plesk-repair-kit:all 17.8.11-debian9.0.build1708190322.14 <none>
    2019-05-07 11:41:44 remove psa-firewall:amd64 17.8.11-debian9.0.build1708180301.19 <none>
    2019-05-07 11:41:45 remove psa-updates:all 17.8.11-debian9.0.build1708180326.12 <none>
    2019-05-07 11:41:45 remove plesk-core:amd64 17.8.11-debian9.0.build1708180301.19 <none>

    my question is,,, is it safe ./plesk-installer..?
    will I lost information..?

    0
    Comment actions Permalink
  • Avatar
    Nikita Nikushkin

    Hi @Data Network,

    > my question is,,, is it safe ./plesk-installer..?

    Yes, you are right here - in order to install removed files back, download Plesk installer, run it and follow instructions on the screen:

    # wget https://autoinstall.plesk.com/plesk-installer
    # chmod +x plesk-installer
    # ./plesk-installer

    > will I lost information..?

    Depends on which information we are talking about...Websites, mail, databases will not be affected, however, configuration files were removed by specifying the "purge" directive previously, so, all customization in such configs will be lost

    0
    Comment actions Permalink
  • Avatar
    Gjimi


    after update 15.07.2020 (CET) there are various errors

    traps: php-fpm[29587] trap invalid opcode ip:55ccc882de14 sp:7ffdf85b44e0 error:0 - in php-fpm[55ccc845b000+4c8000]

    Website: Error 500

    # plesk repair installation:
    WARNING:Skip fixing 'plesk-config-troubleshooter': Cannot find deb-archive for package plesk-config-troubleshooter (18.0-v.debian.9+p18.0.28.1+t200630.1010)
    WARNING:Skip fixing 'plesk-libboost-1.65': Cannot find deb-archive for package plesk-libboost-1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-atomic1.65': Cannot find deb-archive for package plesk-libboost-atomic1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-chrono1.65': Cannot find deb-archive for package plesk-libboost-chrono1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-date-time1.65': Cannot find deb-archive for package plesk-libboost-date-time1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-filesystem1.65': Cannot find deb-archive for package plesk-libboost-filesystem1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-iostreams1.65': Cannot find deb-archive for package plesk-libboost-iostreams1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-log1.65': Cannot find deb-archive for package plesk-libboost-log1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-program-options1.65': Cannot find deb-archive for package plesk-libboost-program-options1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-regex1.65': Cannot find deb-archive for package plesk-libboost-regex1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-serialization1.65': Cannot find deb-archive for package plesk-libboost-serialization1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-system1.65': Cannot find deb-archive for package plesk-libboost-system1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-libboost-thread1.65': Cannot find deb-archive for package plesk-libboost-thread1.65 (1.65.1-debian.9.171017.1047)
    WARNING:Skip fixing 'plesk-liblog4cpp-0.3.5': Cannot find deb-archive for package plesk-liblog4cpp-0.3.5 (0.3.5rc2-debian.9.171017.1348)
    WARNING:Skip fixing 'plesk-libpoco-1.7.8': Cannot find deb-archive for package plesk-libpoco-1.7.8 (1.7.8p3-debian.9.171017.1154)
    WARNING:Skip fixing 'plesk-libstdc++6.3.0': Cannot find deb-archive for package plesk-libstdc++6.3.0 (6.3.0-debian.9.171005.2356)
    WARNING:Skip fixing 'plesk-milter': Cannot find deb-archive for package plesk-milter (8.14.5-debian.9.171117.1620)
    WARNING:Skip fixing 'plesk-resctrl': Cannot find deb-archive for package plesk-resctrl (18.0-v.debian.9+p18.0.28.1+t200630.1010)
    WARNING:Skip fixing 'pp17.8.11-bootstrapper': Cannot find deb-archive for package pp17.8.11-bootstrapper (17.8.11-debian9.0.build1708190409.21)
    WARNING:Skip fixing 'psa-pear': Cannot find deb-archive for package psa-pear (1.10.5-20180124.debian9.0.18012417)
    WARNING:Skip fixing 'sw-engine-cli-2.24': Cannot find deb-archive for package sw-engine-cli-2.24 (2.24.13-debian.9.190731.1634)

    # apt download psa-pear
    E: Can't find a source to download version '1.10.5-20180124.debian9.0.18012417' of 'psa-pear:amd64'

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello Gjimi

    As I can see, you've created a support request already. Please, expect an update there.

    Such issues usually require additional investigation.

    0
    Comment actions Permalink
  • Avatar
    Nikita Nikushkin

    Hi @Leslie Bray,

    As far as I can see, you are not logged as root and thus, most of the commands, do not work for you

    Connect to the server as root and try the commands one more time

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request